%global pkgname spinsym

Name:           gap-pkg-%{pkgname}
Version:        1.5
Release:        2%{?dist}
Summary:        GAP package for Brauer tables of spin-symmetric groups

License:        GPLv2+
URL:            https://www.uni-due.de/~s400304/%{pkgname}/
Source0:        https://www.uni-due.de/~s400304/%{pkgname}/pkg/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  gap-devel
BuildRequires:  gap-pkg-ctbllib

Requires:       gap-pkg-ctbllib
Requires(post): gap-core
Requires(postun): gap-core

%description
This package contains some p-modular character tables of Schur covers of
symmetric and alternating groups.  It also provides some more
functionalities related to these groups, for example, a method to
construct character tables of their maximal Young subgroups.

%prep
%setup -q -n %{pkgname}

# Delete OS X files
find . -name ._\* -delete

# Delete unneeded documentation files
rm -f doc/clean doc/main.{pnr,toc} doc/*.log

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{COPYING,README}

%post -p %{_bindir}/update-gap-workspace

%postun -p %{_bindir}/update-gap-workspace

%check
cd tst
gap -l "%{_gap_dir};%{buildroot}%{_gap_dir}" << EOF
LoadPackage("spinsym");
ReadTest("testall.tst");
EOF


%files
%doc README
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%license COPYING
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 16 2015 Jerry James <loganjerry@gmail.com> - 1.5-1
- Initial RPM
